import requestAuth from '@/utils/requestAuth'

// 获取组织角色列表
export function queryOrgGroupList(query) {
  return requestAuth({
    url:  '/sysOrgGroup/list',
    method: 'get',
    params: query
  })
}


// 获取组织角色 - 全部数据
export function queryOrgGroupALL() {
  return requestAuth({
    url:  '/sysOrgGroup/all',
    method: 'get'
  })
}



// 创建组织角色
export function createOrgGroup(data) {
  return requestAuth({
    url:  '/sysOrgGroup/save',
    method: 'post',
    data
  })
}
// 更新组织角色信息
export function updateOrgGroup(data) {
  return requestAuth({
    url:  '/sysOrgGroup/update',
    method: 'put',
    data
  })
}
// 删除组织角色信息
export function deleteOrgGroup(id) {
  return requestAuth({
    url:  '/sysOrgGroup/delete',
    method: 'delete',
    params: { orgGroupId: id }
  })
}

// 通过id查询组织角色信息
export function getOrgGroupById(id) {
  return requestAuth({
    url:  '/sysOrgGroup/info/' + id,
    method: 'get'
  })
}
// 保存组织角色资源关系
export function saveOrgGroupRes(data) {
  return requestAuth({
    url:  '/sysOrgGroupResRel/save',
    method: 'post',
    data
  })
}

// 获取资源树和组织角色资源关系
export function getOrgGroupResTree(query) {
  return requestAuth({
    url:  '/sysOrgGroupResRel/list',
    method: 'get',
    params: query
  })
}


